Subject: Re: Problems building applications as user with a limited account
From: "d.henman" <[email-masked]>
To: "Angelo Graziosi" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sat, 29 Sep 2007 07:07:36 +0900
List-Id: <cygwin.cygwin.com>

Angelo, 
   Darel here.  Try adding    --x-includes=/usr/X11R6/include/X11
   to your configure arguments.
   The X11 dev. include files are there in the include/X11 directory
   The library binaries look like they'll be found as is.

Regards,
  Darel Henman

---

Angelo Graziosi <[email-masked]> wrote:
> 
> Hi guys,
> I have done a fresh installation of Cygwin on a new PC observing the
> following.
> 
> Usually I have the habit to build Emacs from CVS. Now I have tried to do
> the same as an user with limited account (of the group Users), but
> configure fails in this way:
> 
> -----------------------------------------------------------------------------
> ...
> checking for long file names... yes
> checking for X... no                                <==
> checking Carbon/Carbon.h usability... no
> checking Carbon/Carbon.h presence... no
> checking for Carbon/Carbon.h... no
> checking for X... true                              <==
> configure: error: You seem to be running X, but no X development libraries
> were found.  You should install the relevant development files for X
> and for the toolkit you want, such as Gtk+, Lesstif or Motif.  Also make
> sure you have development files for image handling, i.e.
> tiff, gif, jpeg, png and xpm.
> If you are sure you want Emacs compiled without X window support, pass
>   --without-x
> to configure.
> ---------------------------------------------------------------------------
> 
> 
> Obviously I have all the X packages installed (I have almost ALL Cygwin
> installed).
> 
> 
> Repeating the same things as an user with admnistrative account (of the
> group Administrators), configure works fine and the build continue untill
> the end:
> 
> ---------------------------------------------------------------------------
> ...
> checking for long file names... yes
> checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include
> checking Carbon/Carbon.h usability... no
> checking Carbon/Carbon.h presence... no
> checking for Carbon/Carbon.h... no
> checking for malloc_get_state... no
> checking for malloc_set_state... no
> checking whether __after_morecore_hook exists... no
> checking for stdlib.h... (cached) yes
> checking for unistd.h... (cached) yes
> ...
> Configured for `i686-pc-cygwin'.
> 
>   Where should the build process find the source code?
> /tmp/emacs.tmp/emacs
>   What operating system and machine description files should Emacs use?
>         `s/cygwin.h' and `m/intel386.h'
>   What compiler should emacs be built with?               gcc -g -O2
> -Wno-pointer-sign
>   Should Emacs use the GNU version of malloc?             yes
>   Should Emacs use a relocating allocator for buffers?    yes
>   Should Emacs use mmap(2) for buffer allocation?         no
>   What window system should Emacs use?                    x11
>   What toolkit should Emacs use?                          LUCID
>   Where do we find X Windows header files?
> /usr/X11R6/include
>   Where do we find X Windows libraries?                   /usr/X11R6/lib
>   Does Emacs use -lXaw3d?                                 yes
>   Does Emacs use -lXpm?                                   yes
>   Does Emacs use -ljpeg?                                  yes
>   Does Emacs use -ltiff?                                  yes
>   Does Emacs use a gif library?                           yes -lungif
>   Does Emacs use -lpng?                                   yes
>   Does Emacs use -lrsvg-2?                                no
>   Does Emacs use -lgpm?                                   no
>   Does Emacs use X toolkit scroll bars?                   yes
> ...
> ---------------------------------------------------------------------------
> 
> 
> Any idea ?
> 
> 
> TIA,
> 
>    Angelo.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/